diff options
author | Joey Hess <joey@kitenet.net> | 2013-12-15 15:57:41 -0400 |
---|---|---|
committer | Joey Hess <joey@kitenet.net> | 2013-12-15 15:57:41 -0400 |
commit | 84f7dab35401c896e426b49ca5e95b5a9b4952ab (patch) | |
tree | 8ad0ca96b65964df0ee6a7ef81ed0d312b213089 /standalone/osx | |
parent | 1dc1d698041dd588f063370d056b79b1a4fffb8d (diff) |
Programs from Linux and OSX standalone builds can now be symlinked into a directory in PATH as an alternative installation method, and will use readlink to find where the build was unpacked.
Diffstat (limited to 'standalone/osx')
3 files changed, 21 insertions, 3 deletions
diff --git a/standalone/osx/git-annex.app/Contents/MacOS/git-annex b/standalone/osx/git-annex.app/Contents/MacOS/git-annex index 452a46694..bb82a2bd9 100755 --- a/standalone/osx/git-annex.app/Contents/MacOS/git-annex +++ b/standalone/osx/git-annex.app/Contents/MacOS/git-annex @@ -1,5 +1,11 @@ #!/bin/sh -base="$(dirname "$0")" +link="$(readlink "$0")" || true +if [ -n "$link" ]; then + base="$(dirname "$link")" +else + base="$(dirname "$0")" +fi + if [ ! -d "$base" ]; then echo "** cannot find base directory (I seem to be $0)" >&2 exit 1 diff --git a/standalone/osx/git-annex.app/Contents/MacOS/git-annex-shell b/standalone/osx/git-annex.app/Contents/MacOS/git-annex-shell index 9e8c0ad69..29ebc2588 100755 --- a/standalone/osx/git-annex.app/Contents/MacOS/git-annex-shell +++ b/standalone/osx/git-annex.app/Contents/MacOS/git-annex-shell @@ -1,5 +1,11 @@ #!/bin/sh -base="$(dirname "$0")" +link="$(readlink "$0")" || true +if [ -n "$link" ]; then + base="$(dirname "$link")" +else + base="$(dirname "$0")" +fi + if [ ! -d "$base" ]; then echo "** cannot find base directory (I seem to be $0)" >&2 exit 1 diff --git a/standalone/osx/git-annex.app/Contents/MacOS/git-annex-webapp b/standalone/osx/git-annex.app/Contents/MacOS/git-annex-webapp index 37a4984af..7ff18bada 100755 --- a/standalone/osx/git-annex.app/Contents/MacOS/git-annex-webapp +++ b/standalone/osx/git-annex.app/Contents/MacOS/git-annex-webapp @@ -1,5 +1,11 @@ #!/bin/sh -base="$(dirname "$0")" +link="$(readlink "$0")" || true +if [ -n "$link" ]; then + base="$(dirname "$link")" +else + base="$(dirname "$0")" +fi + if [ ! -d "$base" ]; then echo "** cannot find base directory (I seem to be $0)" >&2 exit 1 |